## ros-iron-joint-state-publisher 2.4.0

=== debian/changelog ===
ros-iron-joint-state-publisher (2.4.0-1jammy) jammy; urgency=high

  * Support for sdformat robot descriptions (#55 <https://github.com/ros/joint_state_publisher/issues/55>)
  * Refactor urdf parser function (#94 <https://github.com/ros/joint_state_publisher/issues/94>)
  * Gracefully handle SIGINT (#86 <https://github.com/ros/joint_state_publisher/issues/86>)
  * Contributors: Dharini Dutia, Shane Loretz, Will

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 04 Aug 2023 00:00:00 -0000

ros-iron-joint-state-publisher (2.3.0-1jammy) jammy; urgency=high

  * Use underscores in setup.cfg. (#76 <https://github.com/ros/joint_state_publisher/issues/76>)
  * Fix the mimic_cycle test to always succeed. (#74 <https://github.com/ros/joint_state_publisher/issues/74>)
  * Remove deprecated policy warning (#67 <https://github.com/ros/joint_state_publisher/issues/67>)
  * Clarify docs on 'mapped parameters' in README (#66 <https://github.com/ros/joint_state_publisher/issues/66>) (#71 <https://github.com/ros/joint_state_publisher/issues/71>)
    * Clarify docs on 'mapped parameters' in README
    Co-authored-by: Binit Shah <mailto:bshah@hello-robot.com>
  * Contributors: Binit Shah, Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 21 Apr 2022 00:00:00 -0000

ros-iron-joint-state-publisher (2.2.0-1jammy) jammy; urgency=high

  * Minor fixes from review.
  * Add in pytest.ini files for jsp and jsp_gui.
  * Stop using deprecated launch parameters in Foxy.
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 04 Jun 2020 00:00:00 -0000

ros-iron-joint-state-publisher (2.1.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 19 May 2020 00:00:00 -0000

ros-iron-joint-state-publisher (2.0.0-1jammy) jammy; urgency=high

  * Port to ROS 2 (#30 <https://github.com/ros/joint_state_publisher/issues/30>)
  * Remove the deprecated fallback option of use_gui (#34 <https://github.com/ros/joint_state_publisher/issues/34>)
  * Split jsp and jsp gui (#31 <https://github.com/ros/joint_state_publisher/issues/31>)
  * Only update one joint slider on value changed. (#11 <https://github.com/ros/joint_state_publisher/issues/11>)
  * ignore 'planar' joints just as 'fixed' and 'floating' (#14 <https://github.com/ros/joint_state_publisher/issues/14>)
  * Make GUI window scroll & resize for large robots (#10 <https://github.com/ros/joint_state_publisher/issues/10>)
  * Contributors: Andy McEvoy, Chris Lalancette, Michael Görner

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 10 Mar 2020 00:00:00 -0000

ros-iron-joint-state-publisher (1.12.13-1jammy) jammy; urgency=high

  * add bugtracker link now that this is not hosted on robot_model anymore
  * Added a scrollarea around the gridlayout to support large number of joints
  * pass robot objects into init_collada() and init_urdf()
  * add test for collada supports
  * add support for collada model : moved from https://github.com/ros/robot_model/pull/97
  * Contributors: Guillaume Walck, Kei Okada, Mikael Arguedas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 19 Mar 2018 00:00:00 -0000

ros-iron-joint-state-publisher (1.12.12-1jammy) jammy; urgency=high

  * Don't publish joint states if there are no joints (#212 <https://github.com/ros/robot_model/issues/212>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 15 Sep 2017 00:00:00 -0000

ros-iron-joint-state-publisher (1.12.11-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 27 Jun 2017 00:00:00 -0000

ros-iron-joint-state-publisher (1.12.10-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 24 Jun 2017 00:00:00 -0000

ros-iron-joint-state-publisher (1.12.9-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 26 Apr 2017 00:00:00 -0000

ros-iron-joint-state-publisher (1.12.8-1jammy) jammy; urgency=high

  * [joint_state_publisher] Handle time moving backwards
    Without this patch, joint_state_publisher dies whenever the ROS time moves backwards (e.g., when running rosbag play --clock --loop).
  * Switch a couple more packages over to Chris and Shane.
  * Fix rostest dependency.
  * Add recursive mimic joint (#177 <https://github.com/ros/robot_model/issues/177>)
    * Add recursive mimic joint
  * Contributors: Alessandro Tondo, Chris Lalancette, Martin Günther, Mike Purvis

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 27 Mar 2017 00:00:00 -0000

ros-iron-joint-state-publisher (1.12.7-1jammy) jammy; urgency=high

  * Fixed a crash which happened when there were ``0`` free joints, opens empty window (#178 <https://github.com/ros/robot_model/issues/178>)
  * Contributors: Bence Magyar

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 26 Jan 2017 00:00:00 -0000

ros-iron-joint-state-publisher (1.12.6-1jammy) jammy; urgency=high

  * Migrated slots in joint state publisher gui to Qt5 (#147 <https://github.com/ros/robot_model/issues/147>)
  * Now uses GridLayout to support large numbers of joints and small screens (#150 <https://github.com/ros/robot_model/issues/150>)
  * Contributors: Bence Magyar, Michał Barciś

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Jan 2017 00:00:00 -0000

ros-iron-joint-state-publisher (1.12.5-1jammy) jammy; urgency=high

  * Fix initial position of sliders in joint_state_publisher GUI (#148 <https://github.com/ros/robot_model/issues/148>)
    Caused by a regression in 8c6cf9841cb, the slider positions are not initialized correctly
    from the provided zero positions at startup.
    This commit fixes the issue, by adding the call to center() again that got lost.
  * Contributors: Timm Linder

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 27 Oct 2016 00:00:00 -0000

ros-iron-joint-state-publisher (1.12.4-1jammy) jammy; urgency=high




