=== debian/control ===
Source: ros-iron-joint-state-publisher
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-iron-ament-copyright <!nocheck>, ros-iron-ament-xmllint <!nocheck>, ros-iron-launch-testing <!nocheck>, ros-iron-launch-testing-ros <!nocheck>, ros-iron-ros2topic <!nocheck>, ros-iron-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: http://www.ros.org/wiki/joint_state_publisher
Standards-Version: 3.9.2

Package: ros-iron-joint-state-publisher
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-iron-rclpy, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-ros-workspace
Description: This package contains a tool for setting and publishing joint state values for a given URDF.
